#!/bin/bash

set -e

IMAGE_NAME=$(ls | grep cloud_self_update)

# Load image
docker load -i $IMAGE_NAME
IMAGE_ID=$(docker image ls | grep cloud_self_update | awk '{print $3}')
echo IMAGE_ID=$IMAGE_ID

# Create and run container
docker run --rm -v /var/run/docker.sock:/var/run/docker.sock -v $(pwd):/root/laepple_wpm laepple_wpm_cloud_self_update:latest bash /root/cloud-extract-deploy-v2.sh

